import { getDocumentViewer, setDocumentViewer, getDocumentViewers, deleteDocumentViewer } from './documentViewers'
import loadDocument from './loadDocument'
import initializeViewer from './initializeViewer'
import toggleSidebar from './toggleSidebar'
import getPagesCount from './getPagesCount'
import nextPage from './nextPage'
import previousPage from './previousPage'
import getCurrentPage from './getCurrentPage'
import rotateClockwise from './rotateClockwise'
import rotateCounterclockwise from './rotateCounterclockwise'
import zoomIn from './zoomIn'
import zoomOut from './zoomOut'
import pageNumberChanged from './pageNumberChanged'
import scaleChanged from './scaleChanged'
import getScale from './getScale'
import switchAnnotationEditorMode from './switchAnnotationEditorMode'
import switchTool from './switchTool'
import requestFullScreenMode from './requestFullScreenMode'
import saveAnnotations from './saveAnnotations'
import removeAllAnnotations from './removeAllAnnotations'
import getOptionUrl from './getOptionUrl'
import importAnnotations from './importAnnotations'
import switchSpreadMode from './switchSpreadMode'
import webViewerNamedAction from './webViewerNamedAction'
import switchScrollMode from './switchScrollMode'
import initConfig from './initConfig'
import download from './download'
import addEvent from './addEvent'
import setTool from './setTool'
import downloadXfdf from './downloadXfdf'
import webViewerPageMode from './webViewerPageMode'
import setToolMode from './setToolMode'
import setPropertyPanel from './setPropertyPanel'
import setInitProperty from './setInitProperty'
import setDefaultSelect from './setDefaultSelect'
import handleField from './handleField'
import handleSign from './handleSign'
import handleStamp from './handleStamp'
import flattenPdfDownload from './flattenPdfDownload'
import compare from './compare'
import setPassword from './setPassword'
import removePassword from './removePassword'
import checkPassword from './checkPassword'
import handleCreateStatus from './handleCreateStatus'


export default {
  getDocumentViewer,
  setDocumentViewer,
  getDocumentViewers,
  deleteDocumentViewer,
  loadDocument,
  initializeViewer,
  toggleSidebar,
  getPagesCount,
  nextPage,
  previousPage,
  getCurrentPage,
  rotateClockwise,
  rotateCounterclockwise,
  zoomIn,
  zoomOut,
  pageNumberChanged,
  scaleChanged,
  getScale,
  switchAnnotationEditorMode,
  switchTool,
  requestFullScreenMode,
  saveAnnotations,
  removeAllAnnotations,
  getOptionUrl,
  importAnnotations,
  switchSpreadMode,
  webViewerNamedAction,
  switchScrollMode,
  initConfig,
  download,
  addEvent,
  setTool,
  downloadXfdf,
  webViewerPageMode,
  setToolMode,
  setPropertyPanel,
  setInitProperty,
  setDefaultSelect,
  handleField,
  handleSign,
  handleStamp,
  flattenPdfDownload,
  compare,
  setPassword,
  removePassword,
  checkPassword,
  handleCreateStatus
}
